#
# TODO: - elementary_testql searches for modules in ../lib not _libdir
#	- plugins in separate packages
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	ewebkit		# Web (WebKit) support
#

%define		ecore_ver	1.7.9
%define		edbus_ver	1.7.9
%define		edje_ver	1.7.9
%define		eet_ver 	1.7.9
%define		efreet_ver 	1.7.9
%define		eina_ver	1.7.9
%define		evas_ver	1.7.9

Summary:	Basic widget set
Summary(pl.UTF-8):	Zestaw prostych widżetów
Name:		elementary
Version:	1.7.9
Release:	4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	f800b2f7c45598d72a83b5c6188eb41a
URL:		http://trac.enlightenment.org/e/wiki/Elementary
BuildRequires:	e_dbus-devel >= %{edbus_ver}
BuildRequires:	ecore-con-devel >= %{ecore_ver}
BuildRequires:	ecore-devel >= %{ecore_ver}
BuildRequires:	ecore-evas-devel >= %{ecore_ver}
BuildRequires:	ecore-fb-devel >= %{ecore_ver}
BuildRequires:	ecore-file-devel >= %{ecore_ver}
BuildRequires:	ecore-imf-devel >= %{ecore_ver}
BuildRequires:	ecore-sdl-devel >= %{ecore_ver}
BuildRequires:	ecore-wayland-devel >= %{ecore_ver}
BuildRequires:	ecore-x-devel >= %{ecore_ver}
BuildRequires:	edje >= %{edje_ver}
BuildRequires:	edje-devel >= %{edje_ver}
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	efreet-devel >= %{efreet_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	eio-devel
BuildRequires:	emotion-devel
BuildRequires:	ethumb-devel
BuildRequires:	evas-devel >= %{evas_ver}
BuildRequires:	evas-loader-jpeg >= %{evas_ver}
%{?with_webkit:BuildRequires:	ewebkit-devel >= 0-0.r127150.1}
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	pkgconfig >= 1:0.22
# TODO: eweather, emap
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Elementary - a basic widget set that is easy to use based on EFL for
mobile touch-screen devices.

%description -l pl.UTF-8
Elementary - zestaw prostych, łatwych w użyciu widżetów, oparty na EFL
dla urządzeń mobilnych.

%package libs
Summary:	Elementary library
Summary(pl.UTF-8):	Bilblioteka Elementary
Group:		Libraries
Requires:	e_dbus >= %{edbus_ver}
Requires:	ecore >= %{ecore_ver}
Requires:	ecore-con >= %{ecore_ver}
Requires:	ecore-evas >= %{ecore_ver}
Requires:	ecore-fb >= %{ecore_ver}
Requires:	ecore-file >= %{ecore_ver}
Requires:	ecore-imf >= %{ecore_ver}
Requires:	ecore-sdl >= %{ecore_ver}
Requires:	ecore-wayland >= %{ecore_ver}
Requires:	ecore-x >= %{ecore_ver}
Requires:	edje-libs >= %{edje_ver}
Requires:	eet >= %{eet_ver}
Requires:	efreet >= %{efreet_ver}
Requires:	eina >= %{eina_ver}
Requires:	evas >= %{evas_ver}

%description libs
Elementary library files.

%description libs -l pl.UTF-8
Biblioteka Elementary.

%package devel
Summary:	Elementary header files
Summary(pl.UTF-8):	Pliki nagłówkowe Elementary
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ecore-con-devel >= %{ecore_ver}
Requires:	ecore-devel >= %{ecore_ver}
Requires:	ecore-evas-devel >= %{ecore_ver}
Requires:	ecore-file-devel >= %{ecore_ver}
Requires:	ecore-imf-devel >= %{ecore_ver}
Requires:	ecore-sdl-devel >= %{ecore_ver}
Requires:	ecore-wayland-devel >= %{ecore_ver}
Requires:	ecore-x-devel >= %{ecore_ver}
Requires:	edje-devel >= %{edje_ver}
Requires:	eet-devel >= %{eet_ver}
Requires:	eina-devel >= %{eina_ver}
Requires:	evas-devel >= %{evas_ver}

%description devel
Header files for Elementary.

%description devel -l pl.UTF-8
Pliki nagłówkowe Elementary.

%package static
Summary:	Static Elementary library
Summary(pl.UTF-8):	Statyczna biblioteka Elementary
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Elementary library.

%description static -l pl.UTF-8
Statyczna biblioteka Elementary.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{!?with_ewebkit:--disable-web} \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# icon is non-themed, so install in %{_pixmapsdir}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	icondir=%{_pixmapsdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/edje/modules/elm/linux-gnu-*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/elementary/modules/*/linux-gnu-*/*.la

mv $RPM_BUILD_ROOT%{_localedir}/az{_IR,}
mv $RPM_BUILD_ROOT%{_localedir}/ko{_KR,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/elementary_config
%attr(755,root,root) %{_bindir}/elementary_quicklaunch
%attr(755,root,root) %{_bindir}/elementary_run
%attr(755,root,root) %{_bindir}/elementary_test
%attr(755,root,root) %{_bindir}/elementary_testql
%{_desktopdir}/elementary_config.desktop
%{_desktopdir}/elementary_test.desktop
%{_datadir}/elementary
%{_pixmapsdir}/elementary.png

%files libs -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libelementary.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libelementary.so.1
%attr(755,root,root) %{_libdir}/elementary_testql.so
%dir %{_libdir}/edje/modules/elm
%dir %{_libdir}/edje/modules/elm/linux-gnu-*
%attr(755,root,root) %{_libdir}/edje/modules/elm/linux-gnu-*/module.so
%dir %{_libdir}/elementary
%dir %{_libdir}/elementary/modules
%dir %{_libdir}/elementary/modules/access_output
%dir %{_libdir}/elementary/modules/access_output/linux-gnu-*
%attr(755,root,root) %{_libdir}/elementary/modules/access_output/linux-gnu-*/module.so
%dir %{_libdir}/elementary/modules/datetime_input_ctxpopup
%dir %{_libdir}/elementary/modules/datetime_input_ctxpopup/linux-gnu-*
%attr(755,root,root) %{_libdir}/elementary/modules/datetime_input_ctxpopup/linux-gnu-*/module.so
%dir %{_libdir}/elementary/modules/test_entry
%dir %{_libdir}/elementary/modules/test_entry/linux-gnu-*
%attr(755,root,root) %{_libdir}/elementary/modules/test_entry/linux-gnu-*/module.so
%dir %{_libdir}/elementary/modules/test_map
%dir %{_libdir}/elementary/modules/test_map/linux-gnu-*
%attr(755,root,root) %{_libdir}/elementary/modules/test_map/linux-gnu-*/module.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libelementary.so
%{_libdir}/libelementary.la
%{_libdir}/elementary_testql.la
%{_includedir}/elementary-1
%{_pkgconfigdir}/elementary.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libelementary.a
%{_libdir}/elementary_testql.a
%endif
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/elementary.git;a=log;h=master

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> 84e1b01
- release 4 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> 01f1d9a
- release 3 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> f1edfb0
- Rebuild with libts 1.1
- release 2 (by relup.sh)

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 2eadae7
- updated to 1.7.9

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 7c28f83
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 78e28fc
- release 2 (by relup.sh)

* Mon Jul 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 429c96c
- updated to 1.7.7

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 75fc013
- release 2 (by relup.sh)

* Tue Apr 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 087b17b
- updated to 1.7.6

* Sun Jan 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 1c09a68
- updated to 1.7.5

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 945b110
- updated to 1.7.3

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> ef6abd1
- updated to 1.7.2

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 096175e
- updated to 1.7.1
- this version builds with ewebkit r127150 snapshot

* Fri Sep 07 2012 Elan Ruusamäe <glen@delfi.ee> 11944ee
- release 4 (by relup.sh)

* Fri Sep 07 2012 Jakub Bogusz <qboosh@pld-linux.org> a916d22
- copy-pastos killed

* Fri Sep 07 2012 Elan Ruusamäe <glen@delfi.ee> 2be3fd2
- slowly we rot

* Fri Sep 07 2012 Elan Ruusamäe <glen@delfi.ee> 02e4264
- locales fixing

* Thu Sep 06 2012 Jakub Bogusz <qboosh@pld-linux.org> a06e40b
- updated to 1.7.0

* Sun Jun 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 9eeb621
- updated to 1.0.1

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> bd54220
- updated to 1.0.0 (note: new soname)

